aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxml2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-11 12:27:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-11 12:37:02 +0000
commitce3adccd9865fd634d89940731b9c81c178a9b4c (patch)
treee1f624a425a04778ff4daf267f85fe56b6c25b14 /main/libxml2/APKBUILD
parent17f105dd292281d4e6fb5176e4a0f4d1685c6ac3 (diff)
downloadaports-ce3adccd9865fd634d89940731b9c81c178a9b4c.tar.bz2
aports-ce3adccd9865fd634d89940731b9c81c178a9b4c.tar.xz
main/libxml2: fix (CVE-2013-0338)
fixes #1662
Diffstat (limited to 'main/libxml2/APKBUILD')
-rw-r--r--main/libxml2/APKBUILD12
1 files changed, 8 insertions, 4 deletions
diff --git a/main/libxml2/APKBUILD b/main/libxml2/APKBUILD
index 01959c3196..145ed22059 100644
--- a/main/libxml2/APKBUILD
+++ b/main/libxml2/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Carlo Landmeter <clandmeter at gmail>
pkgname=libxml2
pkgver=2.7.8
-pkgrel=5
+pkgrel=6
pkgdesc="XML parsing library, version 2"
url="http://www.xmlsoft.org/"
arch="all"
@@ -26,6 +26,7 @@ source="ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz
libxml2-2.7.8-entities-local-buffers-size2.patch
libxml2-2.7.8-parser-local-buffers-size.patch
CVE-2012-5134.patch
+ CVE-2013-0338.patch
"
options="!strip"
@@ -33,8 +34,10 @@ options="!strip"
_builddir="$srcdir/$pkgname-$pkgver"
prepare() {
cd "$_builddir"
- for _i in "$srcdir"/*.patch; do
- patch -p1 -i "$_i"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
}
@@ -80,4 +83,5 @@ de02f584b928d3e25babc5c90aa800be libxml2-2.7.8-allocation-error-copying-entitie
c8c789a4fbdae599a47ecbfa32b889d7 libxml2-2.7.8-entities-local-buffers-size.patch
cba1201e77dc0f3e337d9ff146a2666e libxml2-2.7.8-entities-local-buffers-size2.patch
6c5c7a125dddb616feb1b2f4254bf467 libxml2-2.7.8-parser-local-buffers-size.patch
-fe428448d74481d7547bc173cb40ef26 CVE-2012-5134.patch"
+fe428448d74481d7547bc173cb40ef26 CVE-2012-5134.patch
+5eb19e0b5107a9ee6cca8a5f04b44b77 CVE-2013-0338.patch"